print.glmrob.nb <- function (x, digits = max(3, getOption("digits") - 3), ...) {
  cat("\nCall: ", deparse(x$call), "\n\n")
  if (length(coef(x))) {
    cat("Coefficients")
    if (is.character(co <- x$contrasts)) 
      cat("  [contrasts: ", apply(cbind(names(co), co), 1, paste, collapse="="), "]")
    cat(":\n")
    print.default(format(x$coefficients, digits=digits), print.gap=2, quote=FALSE)
  }
  else cat("No coefficients\n\n")
  if (length(x$dispersion)) {
    cat("\n")
    cat("Estimated Dispersion parameter:\n")
    print.default(format(x$dispersion, digits=digits), print.gap=2, quote=FALSE)
    cat("\n")
  }
  if (x$rep > 1) {
    cat("Estimated are averaged on ", x$rep, " replications\n")
  } 
  cat("\nNumber of observations:", x$samplesize, "\nFitted by method ", sQuote(x$method), "\n")
  invisible(x)
}

  