print.summary.glmrob.nb <- function (x, digits=max(3, getOption("digits") - 3), symbolic.cor=x$symbolic.cor, signif.stars = getOption("show.signif.stars"), ...) {
  cat("\nCall: ", deparse(x$call), "\n\n")
  if (length(cf <- coef(x))) {
    if (nsingular <- sum(x$aliased)) 
      cat("\nCoefficients: (", nsingular, " not defined because of singularities)\n", sep = "")
   else cat("\nCoefficients:\n")
     printCoefmat(cf, digits=digits, signif.stars=signif.stars, na.print="NA", ...)
  ## summarizeRobWeights(x$w.r * x$w.x, digits = digits, header = "Robustness weights w.r * w.x:", ...)
  }
  else cat("No coefficients\n\n")
  cat("\nDispersion parameter for Negative Binomial family estimated to be ", format(x$dispersion), sep = "")
  cat("\n(Std. Error for the Dispersion parameter ", format(x$dispersion.s.err), ")\n\n", sep = "")
  if (x$rep > 1) {
    cat("Estimated are averaged over ", x$rep, " replications\n")
  } 
  cat("\nNumber of observations:", x$samplesize, "\nFitted by method", sQuote(x$method), " (on", if(length(x$iter)!=1) "average", round(mean(x$iter),1) , "iterations)\n")  
  ## if (any(!is.null(unlist(x[c("null.deviance", "deviance")])))) 
  ##       cat(apply(cbind(paste(format(c("Null", "Residual"), justify = "right"), 
  ##           "deviance:"), format(unlist(x[c("null.deviance", 
  ##           "deviance")]), digits = max(5, digits + 1)), " on", 
  ##           format(unlist(x[c("df.null", "df.residual")])), " degrees of freedom\n"), 1L, paste, collapse = " "), "\n", sep = "")
  ##   else cat("No deviance values available \n")
  
  correl <- x$correlation
  if (!is.null(correl)) {
    p <- NCOL(correl)
    if (p > 1) {
      cat("\nCorrelation of Coefficients:\n")
      if (isTRUE(symbolic.cor)) {
        print(symnum(correl, abbr.colnames=NULL))
      } else {
        correl <- format(round(correl, 2), nsmall=2,  digits=digits)
        correl[!lower.tri(correl)] <- ""
        print(correl[-1, -p, drop = FALSE], quote = FALSE)
      }
    }
  }
#####  printControl(x$control, digits = digits)
  cat("\n")
  invisible(x)
}
