\name{M_Table_80}
\alias{M_Table_80}
\docType{data}
\title{
  M Table
}
\description{
  M Table
}
\usage{data("M_Table_80")}
\format{
  The format is:
List of 14
 $ Tabb  : num [1:175, 1:800] 5.49 5.44 5.39 5.35 5.31 ...
 $ TabA11: num [1:175, 1:800] 0.695 0.702 0.709 0.716 0.723 ...
 $ TabA12: num [1:175, 1:800] 1.47 1.52 1.58 1.64 1.69 ...
 $ TabA21: num [1:175, 1:800] 0.212 0.217 0.223 0.228 0.233 ...
 $ TabA22: num [1:175, 1:800] 7.3 7.42 7.53 7.65 7.77 ...
 $ Taba1 : num [1:175, 1:800] -0.032 -0.0331 -0.0343 -0.0354 -0.0365 ...
 $ Taba2 : num [1:175, 1:800] -0.00906 -0.00907 -0.00907 -0.00907 -0.00906 ...
 $ alpha1: num 0.02
 $ alpha2: num 3.5
 $ mu1   : num 0.25
 $ mu2   : num 200
 $ ka    : int 175
 $ km    : num 800
 $ eff   : num 0.8
}
\details{
  Table     A table containing the tuning constants b (Tabb),
            the standardization matrix (TabA11,TabA12,TabA21,TabA22),
            and the bias corrections (Taba1, Taba2) for the 
            "optimal M estimate" described in Marazzi and Yohai (2010),
            with efficiency 80%.
            The parameters alpha and mu belong to a 175 x 800 grid.
alpha1      0.02 : minimum value of alpha
alpha2      3.50 : maximum value of alpha
mu1         0.25 : minimum value of mu
mu2         200  : maximum value of mu
ka          175  : number of values of alpha
km          800  : number of values of mu
eff         0.8  : efficiency of the "optimal M estimate"
}
\references{
  Marazzi A., Yohai V.J. (2010). Optimal robust estimates based
  on the Hellinger distance. Advances in Data Analysis and
  Classification. Springer-Verlag

  Marazzi A., Valdora M., Yohai V., Amiguet M. (2018).
  A robust conditional maximum likelihood estimator for
  generalized linear models with a dispersion parameter.
  Submitted  
}
\keyword{datasets}
