\name{polytrauma}
\alias{polytrauma}
\docType{data}
\title{polytrauma}
\description{
  92 hospital stays in the major diagnostic category (MDC) Polytrauma
  of the Swiss DRG systems. A MDC is a group of DRGs associated
  with a particular class of health problems.}
\usage{data("polytrauma")}
\format{
The format is: 92 x 5 data.frame}
\details{
  LOS  : length of stay (Days)
  Age  : age of the patient (years)
  Sex  : 1 = male; 2 = female
  Nbtt : number of tratments
  Nbdg : number of diagnosis
}
\source{
  Office federal de la statistique, Statistique medicale des hopitaux
}
\references{
  Marazzi A., Valdora M., Yohai V., Amiguet M. (2018).
  A robust conditional maximum likelihood estimator for
  generalized linear models with a dispersion parameter.
  Submitted
}
\examples{
  data(polytrauma)
  p <- glmrob.nb(I(LOS-1)~Nbdg+Nbtt+Age+I(Sex-1)+Age*I(Sex-1), data=polytrauma)
  summary(p)
}

\keyword{datasets}
